diff --git a/books/bookvol0.pamphlet b/books/bookvol0.pamphlet
index c7c47e5..2a5d851 100644
--- a/books/bookvol0.pamphlet
+++ b/books/bookvol0.pamphlet
@@ -43874,7 +43874,7 @@ $$
 \returnType{Type: List NonNegativeInteger}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\domainhead{Permuation}
+\domainhead{Permutation}
 
 
 We represent a permutation as two lists of equal length representing preimages
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 1697c27..8db7069 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -6239,7 +6239,81 @@ These commands are restricted to keep the user from causing damage.
    (|nobreak| |break| |query| |resume| |fastlinks|)
    |nobreak|)         ; needed to avoid possible startup looping
 @
-\section{Variables Used}
+\section{debug}
+\begin{verbatim}
+                  Current Values of debug Variables                   
+
+Variable     Description                           Current Value
+-----------------------------------------------------------------
+lambdatype   Show type information for #1 syntax     off
+dalymode     Interpret leading open paren as lisp    off
+
+\end{verbatim}
+<<debug>>=
+   (|debug|
+    "debug options"
+    |interpreter|
+    TREE
+    |novar|
+    (
+<<debuglambdatype>>
+<<debugdalymode>>
+    ))
+@
+\section{debug lambda type}
+\begin{verbatim}
+---------------------- The lambdatype Option ----------------------
+
+ Description: Show type information for #1 syntax
+
+\end{verbatim}
+\defdollar{lambdatype}
+<<initvars>>=
+(defvar $lambdatype nil "show type information for #1 syntax")
+
+@
+<<debuglambdatype>>=
+      (|lambdatype|
+       "show type information for #1 syntax"
+       |interpreter|
+       LITERALS
+       $lambdatype
+       (|on| |off|)
+       |off|)
+@
+\section{debug dalymode}
+The \verb|$dalymode| variable is used in a case statement in 
+intloopReadConsole. This variable can be set to any non-nil
+value. When not nil the interpreter will send any line that begins
+with an ``('' to be sent to the underlying lisp. This is useful
+for debugging Axiom. The normal value of this variable is NIL.
+
+This variable was created as an alternative to prefixing every lisp
+command with )lisp. When doing a lot of debugging this is tedious
+and error prone. This variable was created to shortcut that process.
+Clearly it breaks some semantics of the language accepted by the
+interpreter as parens are used for grouping expressions.
+
+\begin{verbatim}
+---------------------- The dalymode Option ----------------------
+
+ Description: Interpret leading open paren as lisp
+
+\end{verbatim}
+\defdollar{dalymode}
+<<initvars>>=
+(defvar $dalymode nil "Interpret leading open paren as lisp")
+
+@
+<<debugdalymode>>=
+      (|dalymode|
+       "Interpret leading open paren as lisp"
+       |interpreter|
+       LITERALS
+       $dalymode
+       (|on| |off|)
+       |off|)
+@
 \section{compiler}
 \begin{verbatim}
                   Current Values of  compiler  Variables                   
@@ -10498,6 +10572,7 @@ prettyprint  prettyprint BOOT func's as they compile    off
 (defvar |$setOptions| '(
 <<breakmode>>
 <<compiler>>
+<<debug>>
 <<expose>>
 <<functions>>
 <<fortran>>
@@ -15608,19 +15683,6 @@ the value of the AXIOM shell variable.
 The \verb|$currentLine| line is set to NIL in restart.
 It is used in removeUndoLines in the undo mechanism.
 
-\subsection{\$dalymode}
-The \verb|$dalymode| variable is used in a case statement in 
-intloopReadConsole. This variable can be set to any non-nil
-value. When not nil the interpreter will send any line that begins
-with an ``('' to be sent to the underlying lisp. This is useful
-for debugging Axiom. The normal value of this variable is NIL.
-
-This variable was created as an alternative to prefixing every lisp
-command with )lisp. When doing a lot of debugging this is tedious
-and error prone. This variable was created to shortcut that process.
-Clearly it breaks some semantics of the language accepted by the
-interpreter as parens are used for grouping expressions.
-
 \subsection{\$defaultMsgDatabaseName}
 The \verb|$defaultMsgDatabaseName| is the absolute path to the 
 s2-us.msgs file which contains all of the english language
diff --git a/changelog b/changelog
index 2a04732..367608e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,10 @@
+20090406 tpd src/axiom-website/patches.html 20090406.01.tpd.patch
+20090406 tpd src/interp/setq.lisp move $dalymode flag to bookvol5
+20090406 tpd src/input/unittest3.input unit test )set debug
+20090406 tpd books/bookvol5 add )set debug
+20090406 tpd src/input/unittest2.input fix unittests
+20090406 tpd src/algebra/Makefile fix LazardSetSolvingPackage typo
+20090406 tpd books/bookvol0 fix spelling typo
 20090405 tpd src/axiom-website/patches.html 20090405.02.tpd.patch
 20090405 tpd src/axiom-website/index.html Axiom on Windows as html
 20090405 tpd src/axiom-website/patches.html 20090405.01.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index bde991e..d826254 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -17056,15 +17056,15 @@ ${HELP}/KeyedAccessFile.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/KeyedAccessFile.input
 	@echo "KeyedAccessFile (KAFILE)" >>${HELPFILE}
 
-${HELP}/LazardSetSolvingPackage.help: ${BOOKS}/bookvol10.3.pamphlet
+${HELP}/LazardSetSolvingPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7042 create LazardSetSolvingPackage.help from \
-              ${BOOKS}/bookvol10.3.pamphlet
+              ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"LazardSetSolvingPackage.help" \
-           ${BOOKS}/bookvol10.3.pamphlet \
+           ${BOOKS}/bookvol10.4.pamphlet \
            >${HELP}/LazardSetSolvingPackage.help
 	@cp ${HELP}/LazardSetSolvingPackage.help ${HELP}/LAZM3PK.help
 	@${TANGLE} -R"LazardSetSolvingPackage.input" \
-            ${BOOKS}/bookvol10.3.pamphlet \
+            ${BOOKS}/bookvol10.4.pamphlet \
             >${INPUT}/LazardSetSolvingPackage.input
 	@echo "LazardSetSolvingPackage (LAZM3PK)" >>${HELPFILE}
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index faaa6d8..d000ddd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1050,5 +1050,7 @@ bookvol0 document additional domains<br/>
 index.html Axiom on Windows instructions<br/>
 <a href="patches/20090405.02.tpd.patch">20090405.02.tpd.patch</a>
 index.html Axiom on Windows as html<br/>
+<a href="patches/20090406.01.tpd.patch">20090406.01.tpd.patch</a>
+bookvol5 add )set debug<br/>
  </body>
 </html>
diff --git a/src/input/unittest2.input.pamphlet b/src/input/unittest2.input.pamphlet
index 9c225f7..69266c9 100644
--- a/src/input/unittest2.input.pamphlet
+++ b/src/input/unittest2.input.pamphlet
@@ -1337,7 +1337,7 @@ Unit test the user level commands
 --S 213 of 237
 )lisp (identity |$setOptions|)
 --R 
---RValue = ((|breakmode| "execute break processing on error" |interpreter| LITERALS |$BreakMode| (|nobreak| |break| |query| |resume| |fastlinks|) |nobreak|) (|compiler| "Library compiler options" |interpreter| TREE |novar| ((|output| "library in which to place compiled code" |interpreter| FUNCTION |setOutputLibrary| NIL |htSetOutputLibrary|) (|input| "controls libraries from which to load compiled code" |interpreter| FUNCTION |setInputLibrary| NIL |htSetInputLibrary|) (|args| "arguments for compiling AXIOM code" |interpreter| FUNCTION |setAsharpArgs| (("enter compiler options " STRING |$asharpCmdlineFlags| |chkDirectory| "-O -Fasy -Fao -Flsp -laxiom -Mno-AXL__W__WillObsolete -DAxiom -Y $AXIOM/algebra")) NIL))) (|expose| "control interpreter constructor exposure" |interpreter| FUNCTION |setExpose| NIL |htSetExpose|) (|functions| "some interpreter function options" |interpreter| TREE |novar| ((|cache| "number of function results to cache" |interpreter| FUNCTION |setFunctionsCache| NIL |htSetCache|) (|compile| "compile, don't just define function bodies" |interpreter| LITERALS |$compileDontDefineFunctions| (|on| |off|) |on|) (|recurrence| "specially compile recurrence relations" |interpreter| LITERALS |$compileRecurrence| (|on| |off|) |on|))) (|fortran| "view and set options for FORTRAN output" |interpreter| TREE |novar| ((|ints2floats| "where sensible, coerce integers to reals" |interpreter| LITERALS |$fortInts2Floats| (|on| |off|) |on|) (|fortindent| "the number of characters indented" |interpreter| INTEGER |$fortIndent| (0 NIL) 6) (|fortlength| "the number of characters on a line" |interpreter| INTEGER |$fortLength| (1 NIL) 72) (|typedecs| "print type and dimension lines" |interpreter| LITERALS |$printFortranDecs| (|on| |off|) |on|) (|defaulttype| "default generic type for FORTRAN object" |interpreter| LITERALS |$defaultFortranType| (REAL INTEGER COMPLEX LOGICAL CHARACTER) REAL) (|precision| "precision of generated FORTRAN objects" |interpreter| LITERALS |$fortranPrecision| (|single| |double|) |double|) (|intrinsic| "whether to use INTRINSIC FORTRAN functions" |interpreter| LITERALS |$useIntrinsicFunctions| (|on| |off|) |off|) (|explength| "character limit for FORTRAN expressions" |interpreter| INTEGER |$maximumFortranExpressionLength| (0 NIL) 1320) (|segment| "split long FORTRAN expressions" |interpreter| LITERALS |$fortranSegment| (|on| |off|) |on|) (|optlevel| "FORTRAN optimisation level" |interpreter| INTEGER |$fortranOptimizationLevel| (0 2) 0) (|startindex| "starting index for FORTRAN arrays" |interpreter| INTEGER |$fortranArrayStartingIndex| (0 1) 1) (|calling| "options for external FORTRAN calls" |interpreter| TREE |novar| ((|tempfile| "set location of temporary data files" |interpreter| FUNCTION |setFortTmpDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranTmpDir| |chkDirectory| "/tmp/")) NIL) (|directory| "set location of generated FORTRAN files" |interpreter| FUNCTION |setFortDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranDirectory| |chkDirectory| "./")) NIL) (|linker| "linker arguments (e.g. libraries to search)" |interpreter| FUNCTION |setLinkerArgs| (("enter linker arguments " STRING |$fortranLibraries| |chkDirectory| "-lxlf")) NIL))))) (|kernel| "library functions built into the kernel for efficiency" |interpreter| TREE |novar| ((|warn| "warn when re-definition is attempted" |interpreter| FUNCTION |protectedSymbolsWarning| NIL |htSetKernelWarn|) (|protect| "prevent re-definition of kernel functions" |interpreter| FUNCTION |protectSymbols| NIL |htSetKernelProtect|))) (|hyperdoc| "options in using HyperDoc" |interpreter| TREE |novar| ((|fullscreen| "use full screen for this facility" |interpreter| LITERALS |$fullScreenSysVars| (|on| |off|) |off|) (|mathwidth| "screen width for history output" |interpreter| INTEGER |$historyDisplayWidth| (0 NIL) 120))) (|help| "view and set some help options" |interpreter| TREE |novar| ((|fullscreen| "use fullscreen facility, if possible" |interpreter| LITERALS |$useFullScreenHelp| (|on| |off|) |off|))) (|history| "save workspace values in a history file" |interpreter| LITERALS |$HiFiAccess| (|on| |off|) |on|) (|messages| "show messages for various system features" |interpreter| TREE |novar| ((|any| "print the internal type of objects of domain Any" |interpreter| LITERALS |$printAnyIfTrue| (|on| |off|) |on|) (|autoload| "print file auto-load messages" |interpreter| LITERALS |$printLoadMsgs| (|on| |off|) |on|) (|bottomup| "display bottom up modemap selection" |development| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|coercion| "display datatype coercion messages" |development| LITERALS |$reportCoerceIfTrue| (|on| |off|) |off|) (|dropmap| "display old map defn when replaced" |interpreter| LITERALS |$displayDroppedMap| (|on| |off|) |off|) (|expose| "warning for unexposed functions" |interpreter| LITERALS |$giveExposureWarning| (|on| |off|) |off|) (|file| "print msgs also to SPADMSG LISTING" |development| LITERALS |$printMsgsToFile| (|on| |off|) |off|) (|frame| "display messages about frames" |interpreter| LITERALS |$frameMessages| (|on| |off|) |off|) (|highlighting| "use highlighting in system messages" |interpreter| LITERALS |$highlightAllowed| (|on| |off|) |off|) (|instant| "present instantiation summary" |development| LITERALS |$reportInstantiations| (|on| |off|) |off|) (|insteach| "present instantiation info" |development| LITERALS |$reportEachInstantiation| (|on| |off|) |off|) (|interponly| "say when function code is interpreted" |interpreter| LITERALS |$reportInterpOnly| (|on| |off|) |on|) (|naglink| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|number| "display message number with message" |interpreter| LITERALS |$displayMsgNumber| (|on| |off|) |off|) (|prompt| "set type of input prompt to display" |interpreter| LITERALS |$inputPromptType| (|none| |frame| |plain| |step| |verbose|) |step|) (|selection| "display function selection msgs" |interpreter| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|set| "show )set setting after assignment" |interpreter| LITERALS |$displaySetValue| (|on| |off|) |off|) (|startup| "display messages on start-up" |interpreter| LITERALS |$displayStartMsgs| (|on| |off|) |on|) (|summary| "print statistics after computation" |interpreter| LITERALS |$printStatisticsSummaryIfTrue| (|on| |off|) |off|) (|testing| "print system testing header" |development| LITERALS |$testingSystem| (|on| |off|) |off|) (|time| "print timings after computation" |interpreter| LITERALS |$printTimeIfTrue| (|on| |off| |long|) |off|) (|type| "print type after computation" |interpreter| LITERALS |$printTypeIfTrue| (|on| |off|) |on|) (|void| "print Void value when it occurs" |interpreter| LITERALS |$printVoidIfTrue| (|on| |off|) |off|))) (|naglink| "options for NAGLink" |interpreter| TREE |novar| ((|host| "internet address of host for NAGLink" |interpreter| FUNCTION |setNagHost| (("enter host name" DIRECTORY |$nagHost| |chkDirectory| "localhost")) NIL) (|persistence| "number of (fortran) functions to remember" |interpreter| FUNCTION |setFortPers| (("Requested remote storage (for asps):" INTEGER |$fortPersistence| (0 NIL) 10)) NIL) (|messages| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|double| "enforce DOUBLE PRECISION ASPs" |interpreter| LITERALS |$nagEnforceDouble| (|on| |off|) |on|))) (|output| "view and set some output options" |interpreter| TREE |novar| ((|abbreviate| "abbreviate type names" |interpreter| LITERALS |$abbreviateTypes| (|on| |off|) |off|) (|algebra| "display output in algebraic form" |interpreter| FUNCTION |setOutputAlgebra| (("display output in algebraic form" LITERALS |$algebraFormat| (|off| |on|) |on|) (BREAK $ALGEBRAFORMAT) ("where algebra printing goes (enter {em console} or a pathname)?" FILENAME |$algebraOutputFile| |chkOutputFileName| "console")) NIL) (|characters| "choose special output character set" |interpreter| FUNCTION |setOutputCharacters| NIL |htSetOutputCharacters|) (|fortran| "create output in FORTRAN format" |interpreter| FUNCTION |setOutputFortran| (("create output in FORTRAN format" LITERALS |$fortranFormat| (|off| |on|) |off|) (|break| |$fortranFormat|) ("where FORTRAN output goes (enter {em console} or a a pathname)" FILENAME |$fortranOutputFile| |chkOutputFileName| "console")) NIL) (|fraction| "how fractions are formatted" |interpreter| LITERALS |$fractionDisplayType| (|vertical| |horizontal|) |vertical|) (|length| "line length of output displays" |interpreter| INTEGER $LINELENGTH (10 245) 77) (|mathml| "create output in MathML style" |interpreter| FUNCTION |setOutputMathml| (("create output in MathML format" LITERALS |$mathmlFormat| (|off| |on|) |off|) (|break| |$mathmlFormat|) ("where MathML output goes (enter {em console} or a pathname)" FILENAME |$mathmlOutputFile| |chkOutputFileName| "console")) NIL) (|openmath| "create output in OpenMath style" |interpreter| FUNCTION |setOutputOpenMath| (("create output in OpenMath format" LITERALS |$openMathFormat| (|off| |on|) |off|) (|break| |$openMathFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$openMathOutputFile| |chkOutputFileName| "console")) NIL) (|script| "display output in SCRIPT formula format" |interpreter| FUNCTION |setOutputFormula| (("display output in SCRIPT format" LITERALS |$formulaFormat| (|off| |on|) |off|) (|break| |$formulaFormat|) ("where script output goes (enter {em console} or a a pathname)" FILENAME |$formulaOutputFile| |chkOutputFileName| "console")) NIL) (|scripts| "show subscripts,... linearly" |interpreter| LITERALS |$linearFormatScripts| (|on| |off|) |off|) (|showeditor| "view output of )show in editor" |interpreter| LITERALS |$useEditorForShowOutput| (|on| |off|) |off|) (|tex| "create output in TeX style" |interpreter| FUNCTION |setOutputTex| (("create output in TeX format" LITERALS |$texFormat| (|off| |on|) |off|) (|break| |$texFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$texOutputFile| |chkOutputFileName| "console")) NIL))) (|quit| "protected or unprotected quit" |interpreter| LITERALS |$quitCommandType| (|protected| |unprotected|) |protected|) (|streams| "set some options for working with streams" |interpreter| TREE |novar| ((|calculate| "specify number of elements to calculate" |interpreter| FUNCTION |setStreamsCalculate| (("number of initial stream elements you want calculated" INTEGER |$streamCount| (0 NIL) 10)) NIL) (|showall| "display all stream elements computed" |interpreter| LITERALS |$streamsShowAll| (|on| |off|) |off|))) (|system| "set some system development variables" |development| TREE |novar| ((|functioncode| "show gen. LISP for functions when compiled" |development| LITERALS |$reportCompilation| (|on| |off|) |off|) (|optimization| "show optimized LISP code" |development| LITERALS |$reportOptimization| (|on| |off|) |off|) (|prettyprint| "prettyprint BOOT func's as they compile" |development| LITERALS $PRETTYPRINT (|on| |off|) |on|))) (|userlevel| "operation access level of system user" |interpreter| LITERALS |$UserLevel| (|interpreter| |compiler| |development|) |development|))
+--RValue = ((|breakmode| "execute break processing on error" |interpreter| LITERALS |$BreakMode| (|nobreak| |break| |query| |resume| |fastlinks|) |nobreak|) (|compiler| "Library compiler options" |interpreter| TREE |novar| ((|output| "library in which to place compiled code" |interpreter| FUNCTION |setOutputLibrary| NIL |htSetOutputLibrary|) (|input| "controls libraries from which to load compiled code" |interpreter| FUNCTION |setInputLibrary| NIL |htSetInputLibrary|) (|args| "arguments for compiling AXIOM code" |interpreter| FUNCTION |setAsharpArgs| (("enter compiler options " STRING |$asharpCmdlineFlags| |chkDirectory| "-O -Fasy -Fao -Flsp -laxiom -Mno-AXL__W__WillObsolete -DAxiom -Y $AXIOM/algebra")) NIL))) (|debug| "debug options" |interpreter| TREE |novar| ((|lambdatype| "show type information for #1 syntax" |interpreter| LITERALS $LAMBDATYPE (|on| |off|) |off|) (|dalymode| "Interpret leading open paren as lisp" |interpreter| LITERALS $DALYMODE (|on| |off|) |off|))) (|expose| "control interpreter constructor exposure" |interpreter| FUNCTION |setExpose| NIL |htSetExpose|) (|functions| "some interpreter function options" |interpreter| TREE |novar| ((|cache| "number of function results to cache" |interpreter| FUNCTION |setFunctionsCache| NIL |htSetCache|) (|compile| "compile, don't just define function bodies" |interpreter| LITERALS |$compileDontDefineFunctions| (|on| |off|) |on|) (|recurrence| "specially compile recurrence relations" |interpreter| LITERALS |$compileRecurrence| (|on| |off|) |on|))) (|fortran| "view and set options for FORTRAN output" |interpreter| TREE |novar| ((|ints2floats| "where sensible, coerce integers to reals" |interpreter| LITERALS |$fortInts2Floats| (|on| |off|) |on|) (|fortindent| "the number of characters indented" |interpreter| INTEGER |$fortIndent| (0 NIL) 6) (|fortlength| "the number of characters on a line" |interpreter| INTEGER |$fortLength| (1 NIL) 72) (|typedecs| "print type and dimension lines" |interpreter| LITERALS |$printFortranDecs| (|on| |off|) |on|) (|defaulttype| "default generic type for FORTRAN object" |interpreter| LITERALS |$defaultFortranType| (REAL INTEGER COMPLEX LOGICAL CHARACTER) REAL) (|precision| "precision of generated FORTRAN objects" |interpreter| LITERALS |$fortranPrecision| (|single| |double|) |double|) (|intrinsic| "whether to use INTRINSIC FORTRAN functions" |interpreter| LITERALS |$useIntrinsicFunctions| (|on| |off|) |off|) (|explength| "character limit for FORTRAN expressions" |interpreter| INTEGER |$maximumFortranExpressionLength| (0 NIL) 1320) (|segment| "split long FORTRAN expressions" |interpreter| LITERALS |$fortranSegment| (|on| |off|) |on|) (|optlevel| "FORTRAN optimisation level" |interpreter| INTEGER |$fortranOptimizationLevel| (0 2) 0) (|startindex| "starting index for FORTRAN arrays" |interpreter| INTEGER |$fortranArrayStartingIndex| (0 1) 1) (|calling| "options for external FORTRAN calls" |interpreter| TREE |novar| ((|tempfile| "set location of temporary data files" |interpreter| FUNCTION |setFortTmpDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranTmpDir| |chkDirectory| "/tmp/")) NIL) (|directory| "set location of generated FORTRAN files" |interpreter| FUNCTION |setFortDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranDirectory| |chkDirectory| "./")) NIL) (|linker| "linker arguments (e.g. libraries to search)" |interpreter| FUNCTION |setLinkerArgs| (("enter linker arguments " STRING |$fortranLibraries| |chkDirectory| "-lxlf")) NIL))))) (|kernel| "library functions built into the kernel for efficiency" |interpreter| TREE |novar| ((|warn| "warn when re-definition is attempted" |interpreter| FUNCTION |protectedSymbolsWarning| NIL |htSetKernelWarn|) (|protect| "prevent re-definition of kernel functions" |interpreter| FUNCTION |protectSymbols| NIL |htSetKernelProtect|))) (|hyperdoc| "options in using HyperDoc" |interpreter| TREE |novar| ((|fullscreen| "use full screen for this facility" |interpreter| LITERALS |$fullScreenSysVars| (|on| |off|) |off|) (|mathwidth| "screen width for history output" |interpreter| INTEGER |$historyDisplayWidth| (0 NIL) 120))) (|help| "view and set some help options" |interpreter| TREE |novar| ((|fullscreen| "use fullscreen facility, if possible" |interpreter| LITERALS |$useFullScreenHelp| (|on| |off|) |off|))) (|history| "save workspace values in a history file" |interpreter| LITERALS |$HiFiAccess| (|on| |off|) |on|) (|messages| "show messages for various system features" |interpreter| TREE |novar| ((|any| "print the internal type of objects of domain Any" |interpreter| LITERALS |$printAnyIfTrue| (|on| |off|) |on|) (|autoload| "print file auto-load messages" |interpreter| LITERALS |$printLoadMsgs| (|on| |off|) |on|) (|bottomup| "display bottom up modemap selection" |development| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|coercion| "display datatype coercion messages" |development| LITERALS |$reportCoerceIfTrue| (|on| |off|) |off|) (|dropmap| "display old map defn when replaced" |interpreter| LITERALS |$displayDroppedMap| (|on| |off|) |off|) (|expose| "warning for unexposed functions" |interpreter| LITERALS |$giveExposureWarning| (|on| |off|) |off|) (|file| "print msgs also to SPADMSG LISTING" |development| LITERALS |$printMsgsToFile| (|on| |off|) |off|) (|frame| "display messages about frames" |interpreter| LITERALS |$frameMessages| (|on| |off|) |off|) (|highlighting| "use highlighting in system messages" |interpreter| LITERALS |$highlightAllowed| (|on| |off|) |off|) (|instant| "present instantiation summary" |development| LITERALS |$reportInstantiations| (|on| |off|) |off|) (|insteach| "present instantiation info" |development| LITERALS |$reportEachInstantiation| (|on| |off|) |off|) (|interponly| "say when function code is interpreted" |interpreter| LITERALS |$reportInterpOnly| (|on| |off|) |on|) (|naglink| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|number| "display message number with message" |interpreter| LITERALS |$displayMsgNumber| (|on| |off|) |off|) (|prompt| "set type of input prompt to display" |interpreter| LITERALS |$inputPromptType| (|none| |frame| |plain| |step| |verbose|) |step|) (|selection| "display function selection msgs" |interpreter| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|set| "show )set setting after assignment" |interpreter| LITERALS |$displaySetValue| (|on| |off|) |off|) (|startup| "display messages on start-up" |interpreter| LITERALS |$displayStartMsgs| (|on| |off|) |on|) (|summary| "print statistics after computation" |interpreter| LITERALS |$printStatisticsSummaryIfTrue| (|on| |off|) |off|) (|testing| "print system testing header" |development| LITERALS |$testingSystem| (|on| |off|) |off|) (|time| "print timings after computation" |interpreter| LITERALS |$printTimeIfTrue| (|on| |off| |long|) |off|) (|type| "print type after computation" |interpreter| LITERALS |$printTypeIfTrue| (|on| |off|) |on|) (|void| "print Void value when it occurs" |interpreter| LITERALS |$printVoidIfTrue| (|on| |off|) |off|))) (|naglink| "options for NAGLink" |interpreter| TREE |novar| ((|host| "internet address of host for NAGLink" |interpreter| FUNCTION |setNagHost| (("enter host name" DIRECTORY |$nagHost| |chkDirectory| "localhost")) NIL) (|persistence| "number of (fortran) functions to remember" |interpreter| FUNCTION |setFortPers| (("Requested remote storage (for asps):" INTEGER |$fortPersistence| (0 NIL) 10)) NIL) (|messages| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|double| "enforce DOUBLE PRECISION ASPs" |interpreter| LITERALS |$nagEnforceDouble| (|on| |off|) |on|))) (|output| "view and set some output options" |interpreter| TREE |novar| ((|abbreviate| "abbreviate type names" |interpreter| LITERALS |$abbreviateTypes| (|on| |off|) |off|) (|algebra| "display output in algebraic form" |interpreter| FUNCTION |setOutputAlgebra| (("display output in algebraic form" LITERALS |$algebraFormat| (|off| |on|) |on|) (BREAK $ALGEBRAFORMAT) ("where algebra printing goes (enter {em console} or a pathname)?" FILENAME |$algebraOutputFile| |chkOutputFileName| "console")) NIL) (|characters| "choose special output character set" |interpreter| FUNCTION |setOutputCharacters| NIL |htSetOutputCharacters|) (|fortran| "create output in FORTRAN format" |interpreter| FUNCTION |setOutputFortran| (("create output in FORTRAN format" LITERALS |$fortranFormat| (|off| |on|) |off|) (|break| |$fortranFormat|) ("where FORTRAN output goes (enter {em console} or a a pathname)" FILENAME |$fortranOutputFile| |chkOutputFileName| "console")) NIL) (|fraction| "how fractions are formatted" |interpreter| LITERALS |$fractionDisplayType| (|vertical| |horizontal|) |vertical|) (|length| "line length of output displays" |interpreter| INTEGER $LINELENGTH (10 245) 77) (|mathml| "create output in MathML style" |interpreter| FUNCTION |setOutputMathml| (("create output in MathML format" LITERALS |$mathmlFormat| (|off| |on|) |off|) (|break| |$mathmlFormat|) ("where MathML output goes (enter {em console} or a pathname)" FILENAME |$mathmlOutputFile| |chkOutputFileName| "console")) NIL) (|openmath| "create output in OpenMath style" |interpreter| FUNCTION |setOutputOpenMath| (("create output in OpenMath format" LITERALS |$openMathFormat| (|off| |on|) |off|) (|break| |$openMathFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$openMathOutputFile| |chkOutputFileName| "console")) NIL) (|script| "display output in SCRIPT formula format" |interpreter| FUNCTION |setOutputFormula| (("display output in SCRIPT format" LITERALS |$formulaFormat| (|off| |on|) |off|) (|break| |$formulaFormat|) ("where script output goes (enter {em console} or a a pathname)" FILENAME |$formulaOutputFile| |chkOutputFileName| "console")) NIL) (|scripts| "show subscripts,... linearly" |interpreter| LITERALS |$linearFormatScripts| (|on| |off|) |off|) (|showeditor| "view output of )show in editor" |interpreter| LITERALS |$useEditorForShowOutput| (|on| |off|) |off|) (|tex| "create output in TeX style" |interpreter| FUNCTION |setOutputTex| (("create output in TeX format" LITERALS |$texFormat| (|off| |on|) |off|) (|break| |$texFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$texOutputFile| |chkOutputFileName| "console")) NIL))) (|quit| "protected or unprotected quit" |interpreter| LITERALS |$quitCommandType| (|protected| |unprotected|) |protected|) (|streams| "set some options for working with streams" |interpreter| TREE |novar| ((|calculate| "specify number of elements to calculate" |interpreter| FUNCTION |setStreamsCalculate| (("number of initial stream elements you want calculated" INTEGER |$streamCount| (0 NIL) 10)) NIL) (|showall| "display all stream elements computed" |interpreter| LITERALS |$streamsShowAll| (|on| |off|) |off|))) (|system| "set some system development variables" |development| TREE |novar| ((|functioncode| "show gen. LISP for functions when compiled" |development| LITERALS |$reportCompilation| (|on| |off|) |off|) (|optimization| "show optimized LISP code" |development| LITERALS |$reportOptimization| (|on| |off|) |off|) (|prettyprint| "prettyprint BOOT func's as they compile" |development| LITERALS $PRETTYPRINT (|on| |off|) |on|))) (|userlevel| "operation access level of system user" |interpreter| LITERALS |$UserLevel| (|interpreter| |compiler| |development|) |development|))
 --E 213
 
 --S 214 of 237
diff --git a/src/input/unittest3.input.pamphlet b/src/input/unittest3.input.pamphlet
index 528e348..22e0c14 100644
--- a/src/input/unittest3.input.pamphlet
+++ b/src/input/unittest3.input.pamphlet
@@ -17,77 +17,166 @@ Unit test the user level commands
 )set mes auto off
 )clear all
 
---S 1 of 11
+--S 1 of 19
 )lisp (identity |$inputPromptType|)
 --R 
 --RValue = |step|
 --E 1
 
---S 2 of 11
+--S 2 of 19
 )lisp (setq |$inputPromptType| '|none|)
 --R 
 --RValue = |none|
 --E 2
 
---S 3 of 11
+--S 3 of 19
 1
 --R   (1)  1
 --R                                                        Type: PositiveInteger
 --E 3
 
---S 4 of 11
+--S 4 of 19
 )lisp (setq |$inputPromptType| '|plain|)
 --RValue = |plain|
 --E 4
 
---S 5 of 11
+--S 5 of 19
 2
 --R
 --R   (2)  2
 --R                                                        Type: PositiveInteger
 --E 5
 
---S 6 of 11
+--S 6 of 19
 )lisp (setq |$inputPromptType| '|step|)
 --R 
 --RValue = |step|
 --E 6
 
---S 7 of 11
+--S 7 of 19
 2
 --R
 --R   (3)  2
 --R                                                        Type: PositiveInteger
 --E 7
 
---S 8 of 11
+--S 8 of 19
 )lisp (setq |$inputPromptType| '|frame|)
 --R 
 --RValue = |frame|
 --E 8
 
---S 9 of 11
+--S 9 of 19
 2
 --R
 --R   (4)  2
 --R                                                        Type: PositiveInteger
 --E 9
 
---S 10 of 11
+--S 10 of 19
 )lisp (setq |$inputPromptType| t)
 --R 
 --RValue = T
 --E 10
 
---S 11 of 11
+--S 11 of 19
 2
 --R
 --R   (5)  2
 --R                                                        Type: PositiveInteger
 --E 11
 
+--S 12 of 19
+)set debug
+--R                    Current Values of  debug  Variables                    
+--R
+--RVariable     Description                                Current Value
+--R-----------------------------------------------------------------------------
+--Rlambdatype   show type information for #1 syntax        off 
+--Rdalymode     Interpret leading open paren as lisp       off 
+--R
+--E 12
+
+--S 13 of 19
+)set debug lambdatype 
+--R-------------------------- The lambdatype Option --------------------------
+--R
+--R Description: show type information for #1 syntax
+--R
+--R The lambdatype option may be followed by any one of the following:
+--R
+--R    on
+--R -> off 
+--R
+--R The current setting is indicated.
+--R
+--E 13
+
+--S 14 of 19
+)set debug lambdatype on
+--E 14
+
+--S 15 of 19
+)set debug lambdatype
+--R-------------------------- The lambdatype Option --------------------------
+--R
+--R Description: show type information for #1 syntax
+--R
+--R The lambdatype option may be followed by any one of the following:
+--R
+--R -> on 
+--R    off
+--R
+--R The current setting is indicated.
+--R
+--E 15
+
+--S 16 of 19
+)set debug dalymode
+--R--------------------------- The dalymode Option ---------------------------
+--R
+--R Description: Interpret leading open paren as lisp
+--R
+--R The dalymode option may be followed by any one of the following:
+--R
+--R    on
+--R -> off 
+--R
+--R The current setting is indicated.
+--R
+--E 16
+
+--S 17 of 19
+)set debug dalymode on
+--E 17
+
+--S 18 of 19
+)set debug dalymode
+--R--------------------------- The dalymode Option ---------------------------
+--R
+--R Description: Interpret leading open paren as lisp
+--R
+--R The dalymode option may be followed by any one of the following:
+--R
+--R -> on 
+--R    off
+--R
+--R The current setting is indicated.
+--R
+--E 18
+
+--S 19 of 19
+)set debug
+--R                    Current Values of  debug  Variables                    
+--R
+--RVariable     Description                                Current Value
+--R-----------------------------------------------------------------------------
+--Rlambdatype   show type information for #1 syntax        on 
+--Rdalymode     Interpret leading open paren as lisp       on 
+--R
+--E 19
+
 )spool
- 
 )lisp (bye)
  
 @
diff --git a/src/interp/setq.lisp.pamphlet b/src/interp/setq.lisp.pamphlet
index 577d012..cb5d56f 100644
--- a/src/interp/setq.lisp.pamphlet
+++ b/src/interp/setq.lisp.pamphlet
@@ -112,7 +112,6 @@
 (setq |$NonNullStream| "NonNullStream")
 (setq |$NullStream| "NullStream")
 (setq |$domPvar| nil)
-(defvar $dalymode nil "if true then leading paren implies lisp cmd")
 (setq |$Newline| #\Newline)
 
 
